%define	version	3.3
%define rel 1

# NOTE: set prerelease to 0 for official releases, 1 for pre-releases
%define prerelease 0

%if %prerelease
%define pre_version rc2
%define release	%mkrel -c %{pre_version} %{rel}
%else
%define pre_version %{nil}
%define release %mkrel %{rel}
%endif

Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
URL:		http://www.fcitx.org/
Source0:	%{name}-%{version}%{pre_version}.tar.bz2
Source1:	%{name}.README.bz2
Patch1:		%{name}-3.2-winposition.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	gettext-devel
%if %mdkversion < 200700
BuildRequires:	XFree86-devel
%else
BuildRequires:	X11-devel
%endif
Requires:	locales-zh

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%prep
%setup -q
aclocal-1.9 
%patch1 -p0 -b .mainwin-position

chmod 0644 doc/*

%configure2_5x

bzcat %{SOURCE1} > README.mandrake

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.mandrake
%attr(0644,-,-) %doc doc/*.txt doc/*.pdf doc/*.htm doc/*.odt
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Sat Aug 27 2006 Funda Wang <fundawang@gmail.com> 3.3-1mdv2007.0
- New release
- Killed patch2,3,4,5 (merged upstream)

* Wed Aug 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.2.1-2
- add BuildRequires: gettext-devel

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.2.1-1mdv2007.0
- fix build requires
- from Funda Wang <fundawang@gmail.com>:
  o new release
  o add patch by wpyh (see http://www.linuxsir.org/bbs/forumdisplay.php?f=42)

* Sun Jun 11 2006 Funda Wang <fundawang@gmail.com> 3.2-1mdv2007.0
- New release 3.2

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.1.1-3mdk
- Rebuild

* Sat Jul 30 2005 Abel Cheung <deaddog@mandriva.org> 3.1.1-2mdk
- Rebuild to bring it back

* Mon Apr 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-1mdk
- new release

* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-2mdk
- Rebuild

* Mon Feb 28 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-1mdk 
- new release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-1mdk
- new release
- fix rpmlint warning

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-1mdk
- new release

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-1mdk
- new release
- drop patch 0

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- First Mandrake package
- Patch0: Allows using mandrake CFLAGS
- Patch1: Move default mainwindow a bit lower, in order not to block
  top panel (if desktop has top panel, that is)
- Source1: Some terse instruction on how to use fcitx
